ServerEvents.recipes(event => {
event.remove({ id: 'mysticalagriculture:gear/inferium_helmet' })
})

ServerEvents.recipes(event => {
event.remove({ id: 'quark:tweaks/smelting/bone_meal_utility' })
})

ServerEvents.recipes(event => {
event.remove({ id: 'quark:tweaks/crafting/utility/tools/stone_sword' })
})

ServerEvents.recipes(event => {
event.remove({ id: 'mysticalagriculture:gear/inferium_chestplate' })
})

ServerEvents.recipes(event => {
event.remove({ id: 'mysticalagriculture:gear/inferium_leggings' })
})

ServerEvents.recipes(event => {
event.remove({ id: 'mysticalagriculture:gear/inferium_boots' })
})

ServerEvents.recipes(event => {
event.remove({ id: 'mysticalagriculture:gear/inferium_sword' })
})

ServerEvents.recipes(event => {
event.remove({ id: 'ironchest:upgrades/wood_to_copper_chest_upgrade' })
})

ServerEvents.recipes(event => {
event.remove({ id: 'ironchest:upgrades/wood_to_iron_chest_upgrade' })
})

ServerEvents.recipes(event => {
event.remove({ id: 'ironchest:upgrades/diamond_to_crystal_chest_upgrade' })
})

ServerEvents.recipes(event => {
event.remove({ id: 'ironchest:upgrades/copper_to_iron_chest_upgrade' })
})

ServerEvents.recipes(event => {
event.remove({ id: 'ironchest:upgrades/gold_to_diamond_chest_upgrade' })
})

ServerEvents.recipes(event => {
event.remove({ id: 'ironchest:upgrades/iron_to_gold_chest_upgrade' })
})

ServerEvents.recipes(event => {
event.remove({ id: 'ironchest:upgrades/diamond_to_obsidian_chest_upgrade' })
})

ServerEvents.recipes(event => {
event.remove({ id: 'ironfurnaces:upgrades/upgrade_iron2' })
})

ServerEvents.recipes(event => {
event.remove({ id: 'ironfurnaces:upgrades/upgrade_obsidian2' })
})

ServerEvents.recipes(event => {
event.remove({ id: 'mysticalagradditions:insanium_essence' })
})

ServerEvents.recipes(event => {
event.remove({ id: 'ironfurnaces:upgrades/upgrade_copper' })
})

ServerEvents.recipes(event => {
event.remove({ id: 'ironfurnaces:upgrades/upgrade_netherite' })
})

ServerEvents.recipes(event => {
event.remove({ id: 'ironfurnaces:upgrades/upgrade_crystal' })
})

ServerEvents.recipes(event => {
event.remove({ id: 'ironfurnaces:upgrades/upgrade_obsidian' })
})

ServerEvents.recipes(event => {
event.remove({ id: 'ironfurnaces:upgrades/upgrade_emerald' })
})

ServerEvents.recipes(event => {
event.remove({ id: 'ironfurnaces:upgrades/upgrade_diamond' })
})

ServerEvents.recipes(event => {
event.remove({ id: 'ironfurnaces:upgrades/upgrade_gold' })
})

ServerEvents.recipes(event => {
event.remove({ id: 'ironfurnaces:upgrades/upgrade_iron' })
})

ServerEvents.recipes(event => {
event.remove({ id: 'avaritia:crystal_matrix_ingot_recipe' })
})

ServerEvents.recipes(event => {
event.remove({ id: 'avaritia:infinity_ingot_jei' })
})

ServerEvents.recipes(event => {
event.remove({ id: 'mysticalagriculture:master_infusion_crystal' })
})

ServerEvents.recipes(event => {
event.remove({ id: 'mysticalagriculture:prudentium_essence' })
})

ServerEvents.recipes(event => {
event.remove({ id: 'avaritia:diamond_lattice_recipe' })
})

ServerEvents.recipes(event => {
event.remove({ id: 'avaritia:neutron_collector_jei' })
})

ServerEvents.recipes(event => {
event.remove({ id: 'avaritia:infinity_catalyst_jei' })
})

ServerEvents.recipes(event => {
event.remove({ id: 'mysticalagriculture:tertium_essence_uncraft' })
})

ServerEvents.recipes(event => {
event.remove({ id: 'mysticalagriculture:imperium_essence_uncraft' })
})

ServerEvents.recipes(event => {
event.remove({ id: 'mysticalagriculture:tertium_essence' })
})

ServerEvents.recipes(event => {
event.remove({ id: 'mysticalagriculture:supremium_essence_uncraft' })
})

ServerEvents.recipes(event => {
event.remove({ id: 'mysticalagriculture:imperium_essence' })
})

ServerEvents.recipes(event => {
event.remove({ id: 'mysticalagradditions:insanium_essence_uncraft' })
})

ServerEvents.recipes(event => {
event.remove({ id: 'mysticalagriculture:prudentium_essence_uncraft' })
})

ServerEvents.recipes(event => {
event.remove({ id: 'mysticalagriculture:supremium_essence' })
})

ServerEvents.recipes(event => {
event.remove({ id: 'create:crafting/kinetics/rose_quartz_lamp' })
})

ServerEvents.recipes(event => {
event.remove({ id: 'rainbowcompound:create_mixing/chromatic_compound' })
})

ServerEvents.recipes(event => {
event.remove({ id: 'create:crafting/kinetics/track_signal' })
})

ServerEvents.recipes(event => {
event.remove({ id: 'create:crafting/kinetics/track_observer_from_other_plates' })
})

ServerEvents.recipes(event => {
event.remove({ id: 'create:crafting/kinetics/track_observer' })
})

ServerEvents.recipes(event => {
event.remove({ id: 'create:crafting/logistics/package_frogport' })
})

ServerEvents.recipes(event => {
event.remove({ id: 'create:crafting/materials/transmitter' })
})

ServerEvents.recipes(event => {
event.remove({ id: 'create:crafting/logistics/packager' })
})

ServerEvents.recipes(event => {
event.remove({ id: 'create:crafting/schematics/schematicannon' })
})

ServerEvents.recipes(event => {
event.remove({ id: 'create:crafting/materials/electron_tube' })
})

ServerEvents.recipes(event => {
event.remove({ id: 'create:crafting/kinetics/fluid_tank' })
})

ServerEvents.recipes(event => {
event.remove({ id: 'create:crafting/logistics/content_observer' })
})

ServerEvents.recipes(event => {
event.remove({ id: 'create:crafting/kinetics/steam_whistle' })
})

ServerEvents.recipes(event => {
event.remove({ id: 'create:sequenced_assembly/track' })
})

ServerEvents.recipes(event => {
event.remove({ id: 'create:crafting/kinetics/item_vault' })
})

ServerEvents.recipes(event => {
event.remove({ id: 'create:crafting/kinetics/controls' })
})

ServerEvents.recipes(event => {
event.remove({ id: 'create:crafting/schematics/schematic_table' })
})

ServerEvents.recipes(event => {
event.remove({ id: 'create:crafting/logistics/item_hatch' })
})

ServerEvents.recipes(event => {
event.remove({ id: 'create:crafting/kinetics/steam_engine' })
})

ServerEvents.recipes(event => {
event.remove({ id: 'create:crafting/kinetics/mechanical_arm' })
})

ServerEvents.recipes(event => {
event.remove({ id: 'create:crafting/kinetics/super_glue' })
})

ServerEvents.recipes(event => {
event.remove({ id: 'create:sequenced_assembly/sturdy_sheet' })
})

ServerEvents.recipes(event => {
event.remove({ id: 'create:crafting/kinetics/track_station' })
})

ServerEvents.recipes(event => {
event.remove({ id: 'create:crafting/kinetics/basin' })
})

ServerEvents.recipes(event => {
event.remove({ id: 'create:crafting/kinetics/mechanical_crafter' })
})

ServerEvents.recipes(event => {
event.remove({ id: 'create:sequenced_assembly/precision_mechanism' })
})

ServerEvents.recipes(event => {
event.remove({ id: 'create:crafting/kinetics/empty_blaze_burner' })
})

ServerEvents.recipes(event => {
event.remove({ id: 'createaddition:crafting/electrum_spool' })
})

ServerEvents.recipes(event => {
event.remove({ id: 'createaddition:crafting/festive_spool' })
})

ServerEvents.recipes(event => {
event.remove({ id: 'createaddition:crafting/modular_accumulator_gold' })
})

ServerEvents.recipes(event => {
event.remove({ id: 'createaddition:crafting/modular_accumulator_electrum' })
})

ServerEvents.recipes(event => {
event.remove({ id: 'createaddition:mechanical_crafting/electric_motor' })
})

ServerEvents.recipes(event => {
event.remove({ id: 'createaddition:mechanical_crafting/tesla_coil' })
})

ServerEvents.recipes(event => {
event.remove({ id: 'createaddition:crafting/spool' })
})

ServerEvents.recipes(event => {
event.remove({ id: 'createaddition:mechanical_crafting/alternator' })
})

ServerEvents.recipes(event => {
event.remove({ id: 'createaddition:crafting/copper_spool' })
})

ServerEvents.recipes(event => {
event.remove({ id: 'createaddition:crafting/gold_spool' })
})

ServerEvents.recipes(event => {
event.remove({ id: 'createaddition:crafting/capacitor_2' })
})

ServerEvents.recipes(event => {
event.remove({ id: 'createaddition:crafting/capacitor_1' })
})

ServerEvents.recipes(event => {
event.remove({ id: 'createaddition:crafting/large_connector_electrum' })
})

ServerEvents.recipes(event => {
event.remove({ id: 'createaddition:crafting/large_connector_gold' })
})

ServerEvents.recipes(event => {
event.remove({ id: 'createaddition:crafting/small_light_connector' })
})

ServerEvents.recipes(event => {
event.remove({ id: 'createaddition:crafting/small_connector_copper' })
})

ServerEvents.recipes(event => {
event.remove({ id: 'createaddition:crafting/rolling_mill' })
})

ServerEvents.recipes(event => {
event.remove({ id: 'createsifter:sifter' })
})

ServerEvents.recipes(event => {
event.remove({ id: 'createsifter:brass_sifter' })
})

ServerEvents.recipes(event => {
event.remove({ id: 'create:crafting/kinetics/mechanical_press' })
})

ServerEvents.recipes(event => {
event.remove({ id: 'create:crafting/kinetics/whisk' })
})

ServerEvents.recipes(event => {
event.remove({ id: 'create:crafting/materials/andesite_alloy_from_zinc' })
})

ServerEvents.recipes(event => {
event.remove({ id: 'create:crafting/materials/andesite_alloy' })
})

ServerEvents.recipes(event => {
event.remove({ id: 'create:crafting/kinetics/goggles' })
})

ServerEvents.recipes(event => {
event.remove({ id: 'create:crafting/kinetics/encased_fan' })
})

ServerEvents.recipes(event => {
event.remove({ id: 'create:crafting/kinetics/propeller' })
})

ServerEvents.recipes(event => {
event.remove({ id: 'create:filling/blaze_cake' })
})

ServerEvents.recipes(event => {
event.remove({ id: 'create:compacting/blaze_cake' })
})

ServerEvents.recipes(event => {
event.remove({ id: 'create:haunting/nether_brick' })
})

ServerEvents.recipes(event => {
event.remove({ id: 'create:crafting/materials/andesite_alloy_block' })
})

ServerEvents.recipes(event => {
event.remove({ id: 'create:crafting/kinetics/wrench' })
})

ServerEvents.recipes(event => {
event.remove({ id: 'create:mechanical_crafting/crushing_wheel' })
})

ServerEvents.recipes(event => {
event.remove({ id: 'create:crafting/kinetics/vertical_gearbox' })
})

ServerEvents.recipes(event => {
event.remove({ id: 'create:crafting/kinetics/gearbox' })
})

ServerEvents.recipes(event => {
event.remove({ id: 'create:cutting/andesite_alloy' })
})

ServerEvents.recipes(event => {
event.remove({ id: 'create:crafting/kinetics/shaft' })
})

ServerEvents.recipes(event => {
event.remove({ id: 'create:mixing/andesite_alloy' })
})

ServerEvents.recipes(event => {
event.remove({ id: 'create:mixing/andesite_alloy_from_zinc' })
})

ServerEvents.recipes(event => {
event.remove({ id: 'minecraft:nether_brick' })
})

ServerEvents.recipes(event => {
event.remove({ id: 'ironchest:chests/gold_diamond_chest' })
})

ServerEvents.recipes(event => {
event.remove({ id: 'ironchest:chests/vanilla_iron_chest' })
})

ServerEvents.recipes(event => {
event.remove({ id: 'ironchest:chests/copper_iron_chest' })
})

ServerEvents.recipes(event => {
event.remove({ id: 'ironchest:chests/vanilla_copper_chest' })
})

ServerEvents.recipes(event => {
event.remove({ id: 'ironchest:chests/diamond_obsidian_chest' })
})

ServerEvents.recipes(event => {
event.remove({ id: 'ironchest:chests/diamond_crystal_chest' })
})

ServerEvents.recipes(event => {
event.remove({ id: 'ironchest:chests/iron_gold_chest' })
})

ServerEvents.recipes(event => {
event.remove({ id: 'ironfurnaces:furnaces/netherite_furnace' })
})

ServerEvents.recipes(event => {
event.remove({ id: 'ironfurnaces:furnaces/obsidian_furnace' })
})

ServerEvents.recipes(event => {
event.remove({ id: 'ironfurnaces:furnaces/obsidian_furnace2' })
})

ServerEvents.recipes(event => {
event.remove({ id: 'ironfurnaces:furnaces/crystal_furnace' })
})

ServerEvents.recipes(event => {
event.remove({ id: 'ironfurnaces:furnaces/emerald_furnace' })
})

ServerEvents.recipes(event => {
event.remove({ id: 'ironfurnaces:furnaces/diamond_furnace' })
})

ServerEvents.recipes(event => {
event.remove({ id: 'ironfurnaces:furnaces/gold_furnace' })
})

ServerEvents.recipes(event => {
event.remove({ id: 'ironfurnaces:furnaces/iron_furnace' })
})

ServerEvents.recipes(event => {
event.remove({ id: 'ironfurnaces:furnaces/iron_furnace2' })
})

ServerEvents.recipes(event => {
event.remove({ id: 'ironfurnaces:furnaces/copper_furnace' })
})

ServerEvents.recipes(event => {
event.remove({ id: 'mysticalagriculture:nether_agglomeratio' })
})

ServerEvents.recipes(event => {
event.remove({ id: 'mysticalagriculture:infusion_crystal' })
})

ServerEvents.recipes(event => {
event.remove({ id: 'mysticalagriculture:essence_vessel' })
})

ServerEvents.recipes(event => {
event.remove({ id: 'mysticalagriculture:awakening_altar' })
})

ServerEvents.recipes(event => {
event.remove({ id: 'mysticalagriculture:awakening_pedestal' })
})

ServerEvents.recipes(event => {
event.remove({ id: 'mysticalagriculture:infusion_pedestal' })
})

ServerEvents.recipes(event => {
event.remove({ id: 'mysticalagriculture:infusion_altar' })
})

ServerEvents.recipes(event => {
event.remove({ id: 'mysticalagriculture:inferium_seeds' })
})

ServerEvents.recipes(event => {
event.remove({ id: 'mysticalagriculture:gear/inferium_watering_can' })
})

ServerEvents.recipes(event => {
event.remove({ id: 'mysticalagriculture:gear/inferium_scythe' })
})

ServerEvents.recipes(event => {
event.remove({ id: 'mysticalagriculture:gear/inferium_sickle' })
})

ServerEvents.recipes(event => {
event.remove({ id: 'mysticalagriculture:gear/inferium_fishing_rod' })
})

ServerEvents.recipes(event => {
event.remove({ id: 'mysticalagriculture:gear/inferium_shears' })
})

ServerEvents.recipes(event => {
event.remove({ id: 'mysticalagriculture:gear/inferium_crossbow' })
})

ServerEvents.recipes(event => {
event.remove({ id: 'mysticalagriculture:gear/inferium_bow' })
})

ServerEvents.recipes(event => {
event.remove({ id: 'mysticalagriculture:gear/inferium_hoe' })
})

ServerEvents.recipes(event => {
event.remove({ id: 'mysticalagriculture:gear/inferium_axe' })
})

ServerEvents.recipes(event => {
event.remove({ id: 'mysticalagriculture:gear/inferium_shovel' })
})

ServerEvents.recipes(event => {
event.remove({ id: 'mysticalagriculture:gear/inferium_pickaxe' })
})

ServerEvents.recipes(event => {
event.remove({ id: 'mysticalagriculture:tertium_block_combine' })
})

ServerEvents.recipes(event => {
event.remove({ id: 'mysticalagradditions:insanium_block_combine' })
})

ServerEvents.recipes(event => {
event.remove({ id: 'mysticalagradditions:essence/neutronium_nugget' })
})

ServerEvents.recipes(event => {
event.remove({ id: 'mysticalagriculture:prudentium_block_combine' })
})

ServerEvents.recipes(event => {
event.remove({ id: 'mysticalagriculture:supremium_block_combine' })
})

ServerEvents.recipes(event => {
event.remove({ id: 'mysticalagriculture:imperium_block_combine' })
})

ServerEvents.recipes(event => {
event.remove({ id: 'avaritia:longbowofthe_heavens_jei' })
})

ServerEvents.recipes(event => {
event.remove({ id: 'avaritia:infinity_boots_jei' })
})

ServerEvents.recipes(event => {
event.remove({ id: 'avaritia:infinity_leggings_jei' })
})

ServerEvents.recipes(event => {
event.remove({ id: 'avaritia:infinity_chestplate_jei' })
})

ServerEvents.recipes(event => {
event.remove({ id: 'avaritia:infinity_helmet_jei' })
})

ServerEvents.recipes(event => {
event.remove({ id: 'avaritia:hoeofthe_green_earth_jei' })
})

ServerEvents.recipes(event => {
event.remove({ id: 'avaritia:natures_ruin_jei' })
})

ServerEvents.recipes(event => {
event.remove({ id: 'avaritia:planet_eater_jei' })
})

ServerEvents.recipes(event => {
event.remove({ id: 'avaritia:swordofthe_cosmos_jei' })
})

ServerEvents.recipes(event => {
event.remove({ id: 'quark:tweaks/crafting/utility/misc/charcoal_to_black_dye' })
})


ServerEvents.recipes(event => {
    event.recipes.create.mechanical_crafting('mysticalagriculture:draconium_essence', [
      'AAAAA',
      'ABBBA',
      'ABCBA',
      'ABBBA',
      'AAAAA'
    ], {
      A: 'mysticalagriculture:starmetal_essence',
      B: 'mysticalagriculture:manyullyn_essence',
      C: 'mysticalagriculture:manasteel_essence',
    })
  })

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('mysticalagriculture:manasteel_essence', 1),
    [
      '   ',
      'AB ',
      '   '
    ],
    {
      A: 'mysticalagriculture:iron_essence',
      B: 'mysticalagriculture:menril_essence'
    }
    )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('mysticalagriculture:menril_essence', 1),
    [
      '   ',
      'AB ',
      '   '
    ],
    {
      A: 'mysticalagriculture:lapis_lazuli_essence',
      B: 'mysticalagriculture:nature_essence'
    }
    )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('mysticalagriculture:awakened_draconium_essence', 1),
    [
      'CBC',
      'BAB',
      'CBC'
    ],
    {
      A: 'mysticalagriculture:draconium_essence',
      B: 'mysticalagriculture:lumium_essence',
      C: 'mysticalagriculture:signalum_essence'
    }
    )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('mysticalagriculture:iron_essence', 1),
    [
      '   ',
      'AB ',
      '   '
    ],
    {
      A: 'minecraft:iron_ingot',
      B: 'mysticalagriculture:awakened_supremium_essence'
    }
    )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('mysticalagriculture:lapis_lazuli_essence', 1),
    [
      '   ',
      'AB ',
      '   '
    ],
    {
      A: 'minecraft:lapis_lazuli',
      B: 'mysticalagriculture:awakened_supremium_essence'
    }
    )}
)


ServerEvents.recipes(event => {
  event.shaped(
    Item.of('mysticalagriculture:nature_essence', 1),
    [
      '   ',
      'AB ',
      '   '
    ],
    {
      A: 'minecraft:grass_block',
      B: 'mysticalagriculture:awakened_supremium_essence'
    }
    )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('mysticalagriculture:manyullyn_essence', 1),
    [
      '   ',
      'AB ',
      '   '
    ],
    {
      A: 'mysticalagriculture:cobalt_essence',
      B: 'mysticalagriculture:netherite_essence'
    }
    )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('mysticalagriculture:creeper_essence', 1),
    [
      '   ',
      'AB ',
      '   '
    ],
    {
      A: 'minecraft:gunpowder',
      B: 'mysticalagriculture:awakened_supremium_essence'
    }
    )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('mysticalagriculture:enderman_essence', 1),
    [
      '   ',
      'AB ',
      '   '
    ],
    {
      A: 'minecraft:ender_pearl',
      B: 'mysticalagriculture:awakened_supremium_essence'
    }
    )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('mysticalagriculture:netherite_essence', 1),
    [
      '   ',
      'AB ',
      '   '
    ],
    {
      A: 'minecraft:netherite_ingot',
      B: 'mysticalagriculture:awakened_supremium_essence'
    }
    )}
)

ServerEvents.recipes(event => {
event.shaped(
    Item.of('mysticalagriculture:water_essence', 1),
    [
        '   ',
        'AB ',
        '   '
    ],
    {
        A: 'mysticalagriculture:water_agglomeratio',
        B: 'mysticalagriculture:awakened_supremium_essence'
    }
    )}
)
  
ServerEvents.recipes(event => {
    event.shaped(
      Item.of('mysticalagriculture:wither_skeleton_essence', 1),
      [
        '   ',
        'AB ',
        '   '
      ],
      {
        A: 'minecraft:wither_skeleton_skull',
        B: 'mysticalagriculture:awakened_supremium_essence'
      }
      )}
  )

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('mysticalagriculture:diamond_essence', 1),
    [
      '   ',
      'AB ',
      '   '
    ],
    {
      A: 'minecraft:diamond',
      B: 'mysticalagriculture:awakened_supremium_essence'
    }
    )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('mysticalagriculture:electrum_essence', 1),
    [
      '   ',
      'AB ',
      '   '
    ],
    {
      A: 'createaddition:electrum_ingot',
      B: 'mysticalagriculture:awakened_supremium_essence'
    }
    )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('mysticalagriculture:nether_essence', 1),
    [
      '   ',
      'AB ',
      '   '
    ],
    {
      A: 'minecraft:netherrack',
      B: 'mysticalagriculture:awakened_supremium_essence'
    }
    )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('mysticalagriculture:fire_essence', 1),
    [
      '   ',
      'AB ',
      '   '
    ],
    {
      A: 'mysticalagriculture:nether_agglomeratio',
      B: 'mysticalagriculture:awakened_supremium_essence'
    }
    )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('mysticalagriculture:coal_essence', 1),
    [
      '   ',
      'AB ',
      '   '
    ],
    {
      A: 'minecraft:coal',
      B: 'mysticalagriculture:awakened_supremium_essence'
    }
    )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('mysticalagriculture:deepslate_essence', 1),
    [
      '   ',
      'AB ',
      '   '
    ],
    {
      A: 'minecraft:deepslate',
      B: 'mysticalagriculture:awakened_supremium_essence'
    }
    )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('mysticalagriculture:glowstone_essence', 1),
    [
      '   ',
      'AB ',
      '   '
    ],
    {
      A: 'minecraft:glowstone_dust',
      B: 'mysticalagriculture:awakened_supremium_essence'
    }
    )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('mysticalagriculture:zinc_essence', 1),
    [
      '   ',
      'AB ',
      '   '
    ],
    {
      A: 'create:zinc_ingot',
      B: 'mysticalagriculture:awakened_supremium_essence'
    }
    )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('mysticalagriculture:copper_essence', 1),
    [
      '   ',
      'AB ',
      '   '
    ],
    {
      A: 'minecraft:copper_ingot',
      B: 'mysticalagriculture:awakened_supremium_essence'
    }
    )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('mysticalagriculture:cobalt_essence', 1),
    [
      '   ',
      'ABC',
      '   '
    ],
    {
      A: 'mysticalagriculture:netherite_essence',
      B: 'mysticalagriculture:enderium_essence',
      C: 'mysticalagriculture:cyanite_essence'
    }
    )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('mysticalagriculture:enderium_essence', 1),
    [
      '   ',
      'AB ',
      '   '
    ],
    {
      A: 'mysticalagriculture:enderman_essence',
      B: 'mysticalagriculture:compressed_iron_essence'
    }
    )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('mysticalagriculture:cyanite_essence', 1),
    [
      '   ',
      'AB ',
      '   '
    ],
    {
      A: 'mysticalagriculture:wither_skeleton_essence',
      B: 'mysticalagriculture:sapphire_essence'
    }
    )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('mysticalagriculture:compressed_iron_essence', 1),
    [
      'AAA',
      'ABA',
      'AAA'
    ],
    {
      A: 'mysticalagriculture:iron_essence',
      B: 'mysticalagriculture:creeper_essence'
    }
    )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('mysticalagriculture:sapphire_essence', 1),
    [
      '   ',
      'AB ',
      '   '
    ],
    {
      A: 'mysticalagriculture:diamond_essence',
      B: 'mysticalagriculture:water_essence'
    }
    )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('mysticalagriculture:starmetal_essence', 1),
    [
      '   ',
      'ABC',
      '   '
    ],
    {
      A: 'mysticalagriculture:mithril_essence',
      B: 'mysticalagriculture:platinum_essence',
      C: 'mysticalagriculture:manasteel_essence'
    }
    )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('mysticalagriculture:platinum_essence', 1),
    [
      '   ',
      'ABC',
      '   '
    ],
    {
      A: 'mysticalagriculture:diamond_essence',
      B: 'mysticalagriculture:electrum_essence',
      C: 'mysticalagriculture:tungsten_essence'
    }
    )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('mysticalagriculture:tungsten_essence', 1),
    [
      'AB ',
      'CD ',
      '   '
    ],
    {
      A: 'mysticalagriculture:compressed_iron_essence',
      B: 'mysticalagriculture:creeper_essence',
      C: 'mysticalagriculture:wither_skeleton_essence',
      D: 'mysticalagriculture:coal_essence'
    }
    )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('mysticalagriculture:mithril_essence', 1),
    [
      '   ',
      'ABC',
      '   '
    ],
    {
      A: 'mysticalagriculture:diamond_essence',
      B: 'mysticalagriculture:tungsten_essence',
      C: 'mysticalagriculture:apatite_essence'
    }
    )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('mysticalagriculture:apatite_essence', 1),
    [
      '   ',
      'AB ',
      '   '
    ],
    {
      A: 'mysticalagriculture:water_essence',
      B: 'mysticalagriculture:deepslate_essence'
    }
    )}
)

ServerEvents.recipes(event => {
event.recipes.create.mixing('mysticalagriculture:signalum_essence', ['mysticalagriculture:nether_essence', 'mysticalagriculture:fire_essence', 'mysticalagriculture:netherite_essence', 'mysticalagriculture:cobalt_essence']).superheated()
})

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('mysticalagriculture:lumium_essence', 1),
    [
      '   ',
      'ABC',
      '   '
    ],
    {
      A: 'mysticalagriculture:glowstone_essence',
      B: 'mysticalagriculture:tin_essence',
      C: 'mysticalagriculture:sulfur_essence'
    }
    )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('mysticalagriculture:tin_essence', 1),
    [
      '   ',
      'AB ',
      '   '
    ],
    {
      A: 'mysticalagriculture:bronze_essence',
      B: 'mysticalagriculture:brass_essence'
    }
    )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('mysticalagriculture:brass_essence', 1),
    [
      '   ',
      'AB ',
      '   '
    ],
    {
      A: 'mysticalagriculture:copper_essence',
      B: 'mysticalagriculture:zinc_essence'
    }
    )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('mysticalagriculture:bronze_essence', 1),
    [
      '   ',
      'AB ',
      '   '
    ],
    {
      A: 'mysticalagriculture:brass_essence',
      B: 'mysticalagriculture:zinc_essence'
    }
    )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('mysticalagriculture:sulfur_essence', 1),
    [
      '   ',
      'AB ',
      '   '
    ],
    {
      A: 'mysticalagriculture:glowstone_essence',
      B: 'mysticalagriculture:creeper_essence'
    }
    )}
)

ServerEvents.recipes(event => {
    event.shaped(
      Item.of('mysticalagriculture:inferium_essence', 10),
      [
        '   ',
        'AB ',
        '   '
      ],
      {
        A: 'mysticalagriculture:inferium_essence',
        B: 'create:refined_radiance'
      }
      )}
  )

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('mysticalagriculture:prudentium_essence', 1),
    [
      'AAA',
      'ABA',
      'AAA'
    ],
    {
      A: 'mysticalagriculture:inferium_essence',
      B: 'mysticalagriculture:master_infusion_crystal'
    }
    )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('mysticalagriculture:tertium_essence', 1),
    [
      'AAA',
      'ABA',
      'AAA'
    ],
    {
      A: 'mysticalagriculture:prudentium_essence',
      B: 'mysticalagriculture:master_infusion_crystal'
    }
    )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('mysticalagriculture:imperium_essence', 1),
    [
      'AAA',
      'ABA',
      'AAA'
    ],
    {
      A: 'mysticalagriculture:tertium_essence',
      B: 'mysticalagriculture:master_infusion_crystal'
    }
    )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('mysticalagriculture:supremium_essence', 1),
    [
      'AAA',
      'ABA',
      'AAA'
    ],
    {
      A: 'mysticalagriculture:imperium_essence',
      B: 'mysticalagriculture:master_infusion_crystal'
    }
    )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('mysticalagriculture:awakened_supremium_essence', 1),
    [
      'ABC',
      'BDB',
      'EBF'
    ],
    {
      A: 'mysticalagriculture:inferium_essence',
      B: 'mysticalagriculture:supremium_block',
      C: 'mysticalagriculture:prudentium_essence',
      D: 'mysticalagriculture:master_infusion_crystal',
      E: 'mysticalagriculture:tertium_essence',
      F: 'mysticalagriculture:imperium_essence',
    }
    )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('mysticalagriculture:fertilized_essence', 1),
    [
      ' D ',
      'ABC',
      ' E '
    ],
    {
      A: 'minecraft:wheat_seeds',
      B: 'mysticalagriculture:awakened_supremium_essence',
      C: 'minecraft:melon_seeds',
      D: 'minecraft:pumpkin_seeds',
      E: 'minecraft:beetroot_seeds'
    }
    )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('mysticalagriculture:blaze_essence', 1),
    [
      '   ',
      'AB ',
      '   '
    ],
    {
      A: 'minecraft:blaze_rod',
      B: 'mysticalagriculture:awakened_supremium_essence'
    }
    )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('mysticalagriculture:ice_essence', 1),
    [
      '   ',
      'AB ',
      '   '
    ],
    {
      A: 'minecraft:ice',
      B: 'mysticalagriculture:awakened_supremium_essence'
    }
    )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('mysticalagriculture:blizz_essence', 1),
    [
      '   ',
      'AB ',
      '   '
    ],
    {
      A: 'mysticalagriculture:blaze_essence',
      B: 'mysticalagriculture:ice_essence'
    }
    )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('mysticalagriculture:basalt_essence', 1),
    [
      '   ',
      'AB ',
      '   '
    ],
    {
      A: 'mysticalagriculture:nether_essence',
      B: 'mysticalagriculture:blizz_essence'
    }
    )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('mysticalagriculture:sky_stone_essence', 1),
    [
      '   ',
      'ABC',
      '   '
    ],
    {
      A: 'mysticalagriculture:basalt_essence',
      B: 'mysticalagriculture:air_essence',
      C: 'mysticalagriculture:deepslate_essence'
    }
    )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('mysticalagriculture:rubber_essence', 1),
    [
      '   ',
      'AB ',
      '   '
    ],
    {
      A: 'mysticalagriculture:slime_essence',
      B: 'mysticalagriculture:sky_stone_essence'
    }
    )}
)
ServerEvents.recipes(event => {
event.recipes.create.compacting('mysticalagradditions:creative_essence', ['mysticalagradditions:insanium_block', 'mysticalagradditions:insanium_block', 'mysticalagradditions:insanium_coal_block', 'mysticalagradditions:insanium_coal_block', 'mysticalagradditions:insanium_gemstone_block', 'mysticalagradditions:insanium_gemstone_block', 'mysticalagradditions:insanium_ingot_block', 'mysticalagradditions:insanium_ingot_block', 'mysticalagriculture:rubber_essence',]).superheated()
})

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('mysticalagradditions:insanium_essence', 1),
    [
      'ABA',
      'CDE',
      'FGH'
    ],
    {
      A: 'mysticalagriculture:rubber_essence',
      B: 'mysticalagriculture:inferium_essence',
      C: 'mysticalagriculture:supremium_essence',
      D: 'mysticalagriculture:fertilized_essence',
      E: 'mysticalagriculture:awakened_supremium_essence',
      F: 'mysticalagriculture:tertium_essence',
      G: 'mysticalagriculture:prudentium_essence',
      H: 'mysticalagriculture:imperium_essence'
    }
    )}
)

ServerEvents.recipes(event => {
    event.shaped(
      Item.of('mysticalagriculture:neutronium_essence', 1),
      [
        'ABI',
        'CDE',
        'FGH'
      ],
      {
        A: 'mysticalagriculture:gaia_spirit_essence',
        B: 'mysticalagriculture:nitro_crystal_essence',
        C: 'mysticalagriculture:dye_essence',
        D: 'mysticalagradditions:creative_essence',
        E: 'mysticalagriculture:peridot_essence',
        F: 'mysticalagriculture:coral_essence',
        G: 'mysticalagriculture:mystical_flower_essence',
        H: 'mysticalagriculture:awakened_draconium_essence',
        I: 'mysticalagriculture:vibrant_alloy_essence'
      }
      )}
  )

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('mysticalagriculture:peridot_essence', 1),
    [
      ' A ',
      'BCD',
      ' E '
    ],
    {
      A: 'mysticalagriculture:experience_essence',
      B: 'mysticalagriculture:uraninite_essence',
      C: 'mysticalagriculture:sapphire_essence',
      D: 'mysticalagriculture:uranium_essence',
      E: 'mysticalagriculture:emerald_essence'
    }
    )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('mysticalagriculture:emerald_essence', 1),
    [
      '   ',
      'AB ',
      '   '
    ],
    {
      A: 'minecraft:emerald',
      B: 'mysticalagriculture:awakened_supremium_essence'
    }
    )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('mysticalagriculture:experience_essence', 1),
    [
      '   ',
      'AB ',
      '   '
    ],
    {
      A: 'minecraft:experience_bottle',
      B: 'mysticalagriculture:awakened_supremium_essence'
    }
    )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('mysticalagriculture:slime_essence', 1),
    [
      '   ',
      'AB ',
      '   '
    ],
    {
      A: 'minecraft:slime_ball',
      B: 'mysticalagriculture:awakened_supremium_essence'
    }
    )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('mysticalagriculture:nether_quartz_essence', 1),
    [
      '   ',
      'AB ',
      '   '
    ],
    {
      A: 'minecraft:quartz',
      B: 'mysticalagriculture:awakened_supremium_essence'
    }
    )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('mysticalagriculture:stone_essence', 1),
    [
      '   ',
      'AB ',
      '   '
    ],
    {
      A: 'minecraft:stone',
      B: 'mysticalagriculture:awakened_supremium_essence'
    }
    )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('mysticalagriculture:air_essence', 1),
    [
      '   ',
      'AB ',
      '   '
    ],
    {
      A: 'mysticalagriculture:air_agglomeratio',
      B: 'mysticalagriculture:awakened_supremium_essence'
    }
    )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('mysticalagriculture:uraninite_essence', 1),
    [
      '   ',
      'ABC',
      '   '
    ],
    {
      A: 'mysticalagriculture:slime_essence',
      B: 'mysticalagriculture:uranium_essence',
      C: 'mysticalagriculture:rock_crystal_essence'
    }
    )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('mysticalagriculture:uranium_essence', 1),
    [
      '   ',
      'ABC',
      '   '
    ],
    {
      A: 'mysticalagriculture:air_essence',
      B: 'mysticalagriculture:cyanite_essence',
      C: 'mysticalagriculture:lapis_lazuli_essence'
    }
    )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('mysticalagriculture:rock_crystal_essence', 1),
    [
      '   ',
      'AB ',
      '   '
    ],
    {
      A: 'mysticalagriculture:nether_quartz_essence',
      B: 'mysticalagriculture:stone_essence'
    }
    )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('mysticalagriculture:vibrant_alloy_essence', 1),
    [
      '   ',
      'AB ',
      '   '
    ],
    {
      A: 'mysticalagriculture:peridot_essence',
      B: 'mysticalagriculture:manyullyn_essence'
    }
    )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('mysticalagriculture:dye_essence', 1),
    [
      'ABA',
      'BCB',
      'ABA'
    ],
    {
      A: 'mysticalagriculture:ruby_essence',
      B: 'mysticalagriculture:fertilized_essence',
      C: 'mysticalagriculture:mystical_flower_essence'
    }
    )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('mysticalagriculture:mystical_flower_essence', 1),
    [
      'ABA',
      'CDE',
      'AFA'
    ],
    {
      A: 'mysticalagriculture:fluix_essence',
      B: 'mysticalagriculture:starmetal_essence',
      C: 'mysticalagriculture:honey_essence',
      D: 'mysticalagriculture:nether_star_essence',
      E: 'mysticalagriculture:ruby_essence',
      F: 'mysticalagriculture:nature_essence'
    }
    )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('mysticalagriculture:ruby_essence', 1),
    [
      '   ',
      'ABC',
      '   '
    ],
    {
      A: 'mysticalagriculture:signalum_essence',
      B: 'mysticalagriculture:diamond_essence',
      C: 'mysticalagriculture:redstone_alloy_essence'
    }
    )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('mysticalagriculture:redstone_essence', 1),
    [
      '   ',
      'AB ',
      '   '
    ],
    {
      A: 'minecraft:redstone',
      B: 'mysticalagriculture:awakened_supremium_essence'
    }
    )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('mysticalagriculture:redstone_alloy_essence', 1),
    [
      '   ',
      'AB ',
      '   '
    ],
    {
      A: 'mysticalagriculture:quartz_enriched_iron_essence',
      B: 'mysticalagriculture:redstone_essence'
    }
    )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('mysticalagriculture:quartz_enriched_iron_essence', 1),
    [
      '   ',
      'AB ',
      '   '
    ],
    {
      A: 'mysticalagriculture:iron_essence',
      B: 'mysticalagriculture:nether_quartz_essence'
    }
    )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('mysticalagriculture:honey_essence', 1),
    [
      ' D ',
      'ACB',
      '   '
    ],
    {
      A: 'mysticalagriculture:awakened_supremium_essence',
      B: 'mysticalagriculture:earth_essence',
      C: 'mysticalagriculture:honey_agglomeratio',
      D: 'mysticalagriculture:nature_essence'
    }
    )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('mysticalagriculture:earth_essence', 1),
    [
      '   ',
      'AB ',
      '   '
    ],
    {
      A: 'mysticalagriculture:earth_agglomeratio',
      B: 'mysticalagriculture:awakened_supremium_essence'
    }
    )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('mysticalagriculture:nether_star_essence', 1),
    [
      ' C ',
      'ABA',
      ' C '
    ],
    {
      A: 'mysticalagradditions:insanium_essence',
      B: 'rainbowcompound:netherstar_ingot',
      C: 'mysticalagriculture:awakened_supremium_essence'
    }
    )}
)

ServerEvents.recipes(event => {
  event.recipes.create.haunting('minecraft:phantom_membrane', 'minecraft:feather')
})

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('mysticalagriculture:nitro_crystal_essence', 1),
    [
      'ABA',
      'CDE',
      'AFA'
    ],
    {
      A: 'mysticalagriculture:uraninite_essence',
      B: 'mysticalagriculture:spirited_crystal_essence',
      C: 'mysticalagriculture:nether_star_essence',
      D: 'mysticalagradditions:insanium_essence',
      E: 'mysticalagriculture:dragon_egg_essence',
      F: 'mysticalagriculture:signalum_essence'
    }
    )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('mysticalagriculture:spirited_crystal_essence', 1),
    [
      'DDD',
      'ABC',
      'DDD'
    ],
    {
      A: 'mysticalagriculture:niotic_crystal_essence',
      B: 'mysticalagradditions:insanium_essence',
      C: 'mysticalagriculture:emerald_essence',
      D: 'mysticalagriculture:uraninite_essence'
    }
    )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('mysticalagriculture:niotic_crystal_essence', 1),
    [
      'DDD',
      'ABC',
      'DDD'
    ],
    {
      A: 'mysticalagriculture:blazing_crystal_essence',
      B: 'mysticalagradditions:insanium_essence',
      C: 'mysticalagriculture:diamond_essence',
      D: 'mysticalagriculture:uraninite_essence'
    }
    )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('mysticalagriculture:blazing_crystal_essence', 1),
    [
      'DED',
      'ABC',
      'DDD'
    ],
    {
      A: 'mysticalagriculture:gold_essence',
      B: 'mysticalagradditions:insanium_essence',
      C: 'mysticalagriculture:iron_essence',
      D: 'mysticalagriculture:uraninite_essence',
      E: 'mysticalagriculture:blaze_essence'
    }
    )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('mysticalagriculture:dragon_egg_essence', 1),
    [
      ' E ',
      'ABC',
      ' D '
    ],
    {
      A: 'mysticalagriculture:air_essence',
      B: 'mysticalagriculture:nether_star_essence',
      C: 'mysticalagriculture:chicken_essence',
      D: 'mysticalagriculture:enderman_essence',
      E: 'mysticalagriculture:end_essence'
    }
    )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('mysticalagriculture:obsidian_essence', 1),
    [
      '   ',
      'CBA',
      '   '
    ],
    {
      A: 'minecraft:obsidian',
      B: 'mysticalagriculture:awakened_supremium_essence',
      C: 'rainbowcompound:obsidianite_ingot'
    }
    )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('mysticalagriculture:chicken_essence', 1),
    [
      '   ',
      'AB ',
      '   '
    ],
    {
      A: 'minecraft:feather',
      B: 'mysticalagriculture:awakened_supremium_essence'
    }
    )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('mysticalagriculture:end_essence', 1),
    [
      '   ',
      'CAB',
      '   '
    ],
    {
      A: 'minecraft:end_stone',
      B: 'mysticalagriculture:awakened_supremium_essence',
      C: 'mysticalagriculture:obsidian_essence'
    }
    )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('mysticalagriculture:coral_essence', 1),
    [
      'ABC',
      'DEF',
      'GHI'
    ],
    {
      A: 'mysticalagriculture:fish_essence',
      B: 'mysticalagriculture:water_essence',
      C: 'mysticalagriculture:prismarine_essence',
      D: 'mysticalagriculture:mystical_flower_essence',
      E: 'mysticalagriculture:fertilized_essence',
      F: 'mysticalagriculture:dye_essence',
      G: 'mysticalagriculture:squid_essence',
      H: 'mysticalagriculture:nature_essence',
      I: 'mysticalagriculture:aquamarine_essence'
    }
    )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('mysticalagriculture:aquamarine_essence', 1),
    [
      ' E ',
      'ABC',
      ' D '
    ],
    {
      A: 'mysticalagriculture:platinum_essence',
      B: 'mysticalagriculture:sapphire_essence',
      C: 'mysticalagriculture:diamond_essence',
      D: 'mysticalagriculture:water_essence',
      E: 'mysticalagriculture:apatite_essence'
    }
    )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('mysticalagriculture:squid_essence', 1),
    [
      '   ',
      'AB ',
      '   '
    ],
    {
      A: 'minecraft:ink_sac',
      B: 'mysticalagriculture:awakened_supremium_essence'
    }
    )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('mysticalagriculture:fish_essence', 1),
    [
      '   ',
      'AB ',
      '   '
    ],
    {
      A: 'minecraft:cod',
      B: 'mysticalagriculture:awakened_supremium_essence'
    }
    )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('mysticalagriculture:prismarine_essence', 1),
    [
      '   ',
      'AB ',
      '   '
    ],
    {
      A: 'minecraft:prismarine',
      B: 'mysticalagriculture:awakened_supremium_essence'
    }
    )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('mysticalagriculture:titanium_essence', 1),
    [
      'AB ',
      'CD ',
      '   '
    ],
    {
      A: 'mysticalagriculture:diamond_essence',
      B: 'mysticalagriculture:hepatizon_essence',
      C: 'mysticalagriculture:tungsten_essence',
      D: 'mysticalagriculture:electrum_essence'
    }
    )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('mysticalagriculture:hepatizon_essence', 1),
    [
      '   ',
      'ABC',
      '   '
    ],
    {
      A: 'mysticalagriculture:manyullyn_essence',
      B: 'mysticalagriculture:obsidian_essence',
      C: 'mysticalagriculture:netherite_essence'
    }
    )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('mysticalagriculture:gold_essence', 1),
    [
      '   ',
      'AB ',
      '   '
    ],
    {
      A: 'minecraft:gold_ingot',
      B: 'mysticalagriculture:awakened_supremium_essence'
    }
    )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('mysticalagriculture:chrome_essence', 1),
    [
      'AB ',
      'CD ',
      '   '
    ],
    {
      A: 'mysticalagriculture:titanium_essence',
      B: 'mysticalagriculture:tungsten_essence',
      C: 'mysticalagriculture:uranium_essence',
      D: 'mysticalagriculture:mithril_essence'
    }
    )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('mysticalagriculture:amethyst_essence', 1),
    [
      '   ',
      'AB ',
      '   '
    ],
    {
      A: 'minecraft:amethyst_shard',
      B: 'mysticalagriculture:awakened_supremium_essence'
    }
    )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('mysticalagriculture:turtle_essence', 1),
    [
      '   ',
      'AB ',
      '   '
    ],
    {
      A: 'mysticalagriculture:nature_essence',
      B: 'mysticalagriculture:coral_essence'
    }
    )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('mysticalagriculture:blitz_essence', 1),
    [
      '   ',
      'ABC',
      '   '
    ],
    {
      A: 'minecraft:snow_block',
      B: 'mysticalagriculture:blaze_essence',
      C: 'mysticalagriculture:ice_essence'
    }
    )}
)


ServerEvents.recipes(event => {
  event.shaped(
    Item.of('mysticalagriculture:basalz_essence', 1),
    [
      '   ',
      'AB ',
      '   '
    ],
    {
      A: 'mysticalagriculture:blaze_essence',
      B: 'mysticalagriculture:basalt_essence',
    }
    )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('mysticalagriculture:gaia_spirit_essence', 1),
    [
      'ABA',
      'CDE',
      'AFA'
    ],
    {
      A: 'mysticalagriculture:experience_essence',
      B: 'mysticalagriculture:blizz_essence',
      C: 'mysticalagriculture:basalz_essence',
      D: 'mysticalagriculture:elementium_essence',
      E: 'mysticalagriculture:blaze_essence',
      F: 'mysticalagriculture:blitz_essence'
    }
    )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('mysticalagriculture:terrasteel_essence', 1),
    [
      'ABA',
      'CDE',
      'AFA'
    ],
    {
      A: 'mysticalagriculture:slime_essence',
      B: 'mysticalagriculture:nature_essence',
      C: 'mysticalagriculture:uraninite_essence',
      D: 'mysticalagriculture:manasteel_essence',
      E: 'mysticalagriculture:turtle_essence',
      F: 'mysticalagriculture:earth_essence'
    }
    )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('mysticalagriculture:elementium_essence', 1),
    [
      ' A ',
      'BCD',
      ' E '
    ],
    {
      A: 'mysticalagriculture:dye_essence',
      B: 'mysticalagriculture:amethyst_essence',
      C: 'mysticalagriculture:terrasteel_essence',
      D: 'mysticalagriculture:chrome_essence',
      E: 'mysticalagriculture:fertilized_essence'
    }
    )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('avaritia:pileof_neutrons', 1),
    [
      '   ',
      ' A ',
      '   '
    ],
    {
      A: 'mysticalagriculture:neutronium_essence'
    }
    )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('avaritia:neutronium_ingot', 2),
    [
      'AB ',
      '   ',
      '   '
    ],
    {
      A: 'avaritia:neutronium_ingot',
      B: 'create:refined_radiance'
    }
  )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('avaritia:infinity_ingot', 2),
    [
      'AB ',
      '   ',
      '   '
    ],
    {
      A: 'avaritia:infinity_ingot',
      B: 'create:refined_radiance'
    }
  )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('avaritia:diamond_lattice', 1),
    [
      'A A',
      ' A ',
      'A A'
    ],
    {
      A: 'mysticalagriculture:diamond_essence'
    }
  )}
)

ServerEvents.recipes(event => {
  event.recipes.create.mechanical_crafting('avaritia:crystal_matrix_ingot', [
    'ABA',
    'ABA'
  ], {
    A: 'avaritia:diamond_lattice',
    B: 'rainbowcompound:netherstar_ingot'
  })
})

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('avaritia:crystal_matrix_ingot', 2),
    [
      'AB ',
      '   ',
      '   '
    ],
    {
      A: 'avaritia:crystal_matrix_ingot',
      B: 'create:refined_radiance'
    }
  )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('minecraft:nether_star', 2),
    [
      'AB ',
      '   ',
      '   '
    ],
    {
      A: 'minecraft:nether_star',
      B: 'create:refined_radiance'
    }
  )}
)

ServerEvents.recipes(event => {
  event.recipes.create.milling('avaritia:infinity_catalyst', 'avaritia:infinity_ingot')
})

ServerEvents.recipes(event => {
  event.recipes.create.mechanical_crafting('avaritia:infinity_catalyst', [
    'ABC   DEF',
    'B GHHHI E',
    'DGJ K LIM',
    ' H  N  H ',
    ' HKNONKH ',
    ' H  N  H ',
    'PQL K JRD',
    'S QHHHR T',
    'FSD   UTA'
    
  ], {
    A: 'avaritia:ultimate_stew',
    B: 'avaritia:iron_singularity',
    C: 'create:creative_crate',
    D: 'avaritia:record_fragment',
    E: 'avaritia:lapis_singularity',
    F: 'avaritia:cosmic_meatballs',
    G: 'avaritia:golden_singularity',
    H: 'avaritia:neutronium_block',
    I: 'avaritia:redstone_singularity',
    J: 'avaritia:amethyst_singularity',
    K: 'avaritia:crystal_matrix',
    L: 'avaritia:netherite_singularity',
    M: 'create:creative_blaze_cake',
    N: 'avaritia:endest_pearl',
    O: 'mysticalagradditions:creative_essence',
    P: 'create:creative_fluid_tank',
    Q: 'avaritia:emerald_singularity',
    R: 'avaritia:nether_quartz_singularity',
    S: 'avaritia:copper_singularity',
    T: 'avaritia:diamond_singularity',
    U: 'createaddition:creative_energy'
  })
})

ServerEvents.recipes(event => {
  event.recipes.create.mechanical_crafting('ironfurnaces:rainbow_coal', [
    ' A  A  A ',
    'ABCDEFGBA',
    ' H  I  J ',
    'KLMNOPQRS',
    'T UVBWX Y',
    'ZRabcdeLf',
    ' g  h  i ',
    'ABjklZmBA',
    ' A  A  A '


  ], {
    A: 'mysticalagriculture:coal_essence',
    B: 'avaritia:infinity_catalyst',
    C: 'minecraft:coal_block',
    D: 'mysticalagriculture:imperium_furnace',
    E: 'mysticalagriculture:supremium_furnace',
    F: 'mysticalagriculture:awakened_supremium_furnace',
    G: 'mysticalagradditions:insanium_coal_block',
    H: 'quark:charcoal_block',
    I: 'ironfurnaces:iron_furnace',
    J: 'mysticalagradditions:supremium_coal_block',
    K: 'ironfurnaces:item_spooky',
    L: 'minecraft:charcoal',
    M: 'ironfurnaces:crystal_furnace',
    N: 'mysticalagradditions:inferium_coal',
    O: 'minecraft:furnace',
    P: 'mysticalagradditions:imperium_coal',
    Q: 'ironfurnaces:netherite_furnace',
    R: 'minecraft:coal',
    S: 'mysticalagriculture:tertium_furnace',
    T: 'ironfurnaces:item_xmas',
    U: 'ironfurnaces:gold_furnace',
    V: 'mysticalagradditions:prudentium_coal',
    W: 'mysticalagradditions:supremium_coal',
    X: 'ironfurnaces:diamond_furnace',
    Y: 'mysticalagriculture:prudentium_furnace',
    Z: 'ironfurnaces:million_furnace',
    a: 'ironfurnaces:obsidian_furnace',
    b: 'mysticalagradditions:tertium_coal',
    c: 'minecraft:blast_furnace',
    d: 'mysticalagradditions:insanium_coal',
    e: 'ironfurnaces:copper_furnace',
    f: 'mysticalagriculture:inferium_furnace',
    g: 'mysticalagradditions:inferium_coal_block',
    h: 'ironfurnaces:emerald_furnace',
    i: 'mysticalagradditions:tertium_coal_block',
    j: 'mysticalagradditions:prudentium_coal_block',
    k: 'quark:blackstone_furnace',
    l: 'quark:deepslate_furnace',
    m: 'mysticalagradditions:imperium_coal_block'
  })
})

ServerEvents.recipes(event => {
  event.recipes.create.mechanical_crafting('avaritia:infinity_ingot', [
    'ABCDEFGHI',
    'JKLMKOPKJ',
    'QRSTUVWXY',
    ' Z aba Z ',
    ' c ded c ',
    ' Z aba Z ',
    'fghijklmn',
    'oKpqKrsKo',
    'IHGFtDCBA'


  ], {
    A: 'avaritia:iron_singularity',
    B: 'avaritia:golden_singularity',
    C: 'avaritia:lapis_singularity',
    D: 'avaritia:redstone_singularity',
    E: 'create:zinc_ingot',
    F: 'avaritia:nether_quartz_singularity',
    G: 'avaritia:diamond_singularity',
    H: 'avaritia:emerald_singularity',
    I: 'avaritia:copper_singularity',
    J: 'avaritia:ultimate_stew',
    K: 'avaritia:infinity_catalyst',
    L: 'rainbowcompound:enderite_ingot',
    M: 'rainbowcompound:chorusite_ingot',
    O: 'rainbowcompound:blazeite_ingot',
    P: 'mysticalagriculture:awakened_supremium_ingot',
    Q: 'mysticalagriculture:supremium_ingot',
    R: 'rainbowcompound:warpedite_ingot',
    S: 'rainbowcompound:obsidianite_ingot',
    T: 'mysticalagradditions:insanium_ingot',
    U: 'mysticalagriculture:prosperity_ingot',
    V: 'mysticalagriculture:inferium_ingot',
    W: 'mysticalagriculture:prudentium_ingot',
    X: 'mysticalagriculture:tertium_ingot',
    Y: 'mysticalagriculture:imperium_ingot',
    Z: 'avaritia:neutronium_block',
    a: 'ironfurnaces:rainbow_coal',
    b: 'avaritia:netherite_singularity',
    c: 'avaritia:crystal_matrix',
    d: 'avaritia:amethyst_singularity',
    e: 'avaritia:neutronium_ingot',
    f: 'minecraft:iron_ingot',
    g: 'minecraft:copper_ingot',
    h: 'minecraft:gold_ingot',
    i: 'minecraft:netherite_ingot',
    j: 'unusualend:pearlescent_ingot',
    k: 'advancednetherite:netherite_iron_ingot',
    l: 'advancednetherite:netherite_gold_ingot',
    m: 'advancednetherite:netherite_emerald_ingot',
    n: 'advancednetherite:netherite_diamond_ingot',
    o: 'avaritia:cosmic_meatballs',
    p: 'rainbowcompound:netherwartite_ingot',
    q: 'rainbowcompound:slimeite_ingot',
    r: 'rainbowcompound:glowstoneite_ingot',
    s: 'rainbowcompound:frostite_ingot',
    t: 'create:brass_ingot',
  })
})

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('mysticalagriculture:infusion_crystal', 1),
    [
      'ABA',
      'BCB',
      'ABA'
    ],
    {
      A: 'mysticalagriculture:inferium_essence',
      B: 'mysticalagriculture:prosperity_shard',
      C: 'witherstormmod:withered_nether_star'
    }
  )}
)

ServerEvents.recipes(event => {
  event.smithing(
    'ironfurnaces:copper_furnace',
    'minecraft:copper_ingot',
    'minecraft:furnace',
    'minecraft:stone'
  )
})

ServerEvents.recipes(event => {
  event.smithing(
    'ironfurnaces:iron_furnace',
    'minecraft:iron_ingot',
    'ironfurnaces:copper_furnace',
    'minecraft:stone'
  )
})

ServerEvents.recipes(event => {
  event.smithing(
    'ironfurnaces:gold_furnace',
    'minecraft:gold_ingot',
    'ironfurnaces:iron_furnace',
    'minecraft:stone'
  )
})

ServerEvents.recipes(event => {
  event.smithing(
    'ironfurnaces:diamond_furnace',
    'minecraft:diamond',
    'ironfurnaces:gold_furnace',
    'minecraft:stone'
  )
})

ServerEvents.recipes(event => {
  event.smithing(
    'ironfurnaces:emerald_furnace',
    'minecraft:emerald',
    'ironfurnaces:diamond_furnace',
    'minecraft:stone'
  )
})

ServerEvents.recipes(event => {
  event.smithing(
    'ironfurnaces:crystal_furnace',
    'minecraft:glass',
    'ironfurnaces:diamond_furnace',
    'minecraft:stone'
  )
})

ServerEvents.recipes(event => {
  event.smithing(
    'ironfurnaces:obsidian_furnace',
    'minecraft:obsidian',
    'ironfurnaces:emerald_furnace',
    'minecraft:stone'
  )
})

ServerEvents.recipes(event => {
  event.smithing(
    'ironfurnaces:obsidian_furnace',
    'minecraft:obsidian',
    'ironfurnaces:crystal_furnace',
    'minecraft:stone'
  )
})

ServerEvents.recipes(event => {
  event.smithing(
    'ironfurnaces:netherite_furnace',
    'minecraft:netherite_ingot',
    'ironfurnaces:obsidian_furnace',
    'minecraft:stone'
  )
})

ServerEvents.recipes(event => {
  event.smithing(
    'ironchest:copper_chest',
    'minecraft:copper_ingot',
    'minecraft:chest',
    'minecraft:oak_log'
  )
})

ServerEvents.recipes(event => {
  event.smithing(
    'ironchest:iron_chest',
    'minecraft:iron_ingot',
    'ironchest:copper_chest',
    'minecraft:oak_log'
  )
})

ServerEvents.recipes(event => {
  event.smithing(
    'ironchest:gold_chest',
    'minecraft:gold_ingot',
    'ironchest:iron_chest',
    'minecraft:oak_log'
  )
})

ServerEvents.recipes(event => {
  event.smithing(
    'ironchest:diamond_chest',
    'minecraft:diamond',
    'ironchest:gold_chest',
    'minecraft:oak_log'
  )
})

ServerEvents.recipes(event => {
  event.smithing(
    'ironchest:crystal_chest',
    'minecraft:glass',
    'ironchest:diamond_chest',
    'minecraft:oak_log'
  )
})

ServerEvents.recipes(event => {
  event.smithing(
    'ironchest:obsidian_chest',
    'minecraft:obsidian',
    'ironchest:diamond_chest',
    'minecraft:oak_log'
  )
})

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('mysticalagriculture:infusion_crystal', 1),
    [
      'BAB',
      'ACA',
      'BAB'
    ],
    {
      A: 'mysticalagriculture:inferium_essence',
      B: 'mysticalagriculture:prosperity_shard',
      C: 'witherstormmod:withered_nether_star'
    }
  )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('create:iron_sheet', 1),
    [
      'ABC',
      'DBD',
      'CBA'
    ],
    {
      A: 'createaddition:copper_rod',
      B: 'minecraft:iron_ingot',
      C: 'createaddition:gold_rod',
      D: 'createaddition:iron_rod'
    }
  )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('create:shaft', 2),
    [
      'ABA',
      'CDC',
      'ABA'
    ],
    {
      A: 'minecraft:copper_ingot',
      B: 'minecraft:iron_bars',
      C: 'minecraft:iron_ingot',
      D: 'mysticalagriculture:infusion_crystal'
    }
  )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('create:shaft', 2),
    [
      'ABA',
      'CDC',
      'ABA'
    ],
    {
      A: 'minecraft:copper_ingot',
      B: 'minecraft:iron_bars',
      C: 'minecraft:iron_ingot',
      D: 'mysticalagriculture:master_infusion_crystal'
    }
  )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('createaddition:rolling_mill', 1),
    [
      'ABA',
      'ABA',
      'CDC'
    ],
    {
      A: 'minecraft:iron_bars',
      B: 'create:shaft',
      C: 'minecraft:copper_ingot',
      D: 'create:andesite_casing'
    }
  )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('create:mechanical_press', 1),
    [
      ' A ',
      ' B ',
      'CDC'
    ],
    {
      A: 'create:shaft',
      B: 'create:andesite_casing',
      C: 'createaddition:iron_wire',
      D: 'create:iron_sheet'
    }
  )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('create:whisk', 1),
    [
      'ABA',
      'CBC',
      'CCC'
    ],
    {
      A: 'createaddition:iron_wire',
      B: 'create:shaft',
      C: 'create:iron_sheet'
    }
  )}
)

ServerEvents.recipes(event => {
  event.recipes.create.deploying([Item.of('create:precision_mechanism').withChance(0.9)], ['create:golden_sheet', 'create:brass_block'])
})

ServerEvents.recipes(event => {
  event.recipes.create.mixing('create:andesite_alloy', ['mysticalagriculture:infusion_crystal', 'mysticalagriculture:inferium_essence', 'minecraft:iron_ingot', 'create:copper_sheet'])
})

ServerEvents.recipes(event => {
  event.recipes.create.mixing('create:andesite_alloy', ['mysticalagriculture:master_infusion_crystal', 'mysticalagriculture:inferium_essence', 'minecraft:iron_ingot', 'create:copper_sheet'])
})

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('create:basin', 1),
    [
      '   ',
      'ABA',
      'CDC'
    ],
    {
      A: 'minecraft:iron_bars',
      B: 'createaddition:iron_wire',
      C: 'create:iron_sheet',
      D: 'create:golden_sheet'
    }
  )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('create:wrench', 1),
    [
      'ABC',
      'BDE',
      'CFG'
    ],
    {
      A: 'minecraft:gold_block',
      B: 'createaddition:gold_wire',
      C: 'create:golden_sheet',
      D: 'create:cogwheel',
      E: 'createaddition:iron_wire',
      F: 'createaddition:gold_rod',
      G: 'minecraft:redstone'
    }
  )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('create:mechanical_crafter', 5),
    [
      'AAA',
      'BCB',
      'DDD'
    ],
    {
      A: 'create:brass_sheet',
      B: 'create:precision_mechanism',
      C: 'avaritia:double_compressed_crafting_table',
      D: 'create:brass_casing'
    }
  )}
)

ServerEvents.recipes(event => {
  event.recipes.create.mixing(['create:zinc_ingot', 'create:zinc_ingot'], ['minecraft:iron_ingot', 'minecraft:gold_ingot', 'mysticalagriculture:infusion_crystal']).heated()
})

ServerEvents.recipes(event => {
  event.recipes.create.mixing(['create:zinc_ingot', 'create:zinc_ingot'], ['minecraft:iron_ingot', 'minecraft:gold_ingot', 'mysticalagriculture:master_infusion_crystal']).heated()
})

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('create:empty_blaze_burner', 1),
    [
      'ABA',
      'CDC',
      'EEE'
    ],
    {
      A: 'createaddition:iron_wire',
      B: 'create:iron_sheet',
      C: 'createaddition:iron_rod',
      D: 'minecraft:netherrack',
      E: 'minecraft:iron_block'
    }
  )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('create:vertical_gearbox', 1),
    [
      'ABA',
      'BCB',
      'ABA'
    ],
    {
      A: 'create:cogwheel',
      B: 'createaddition:iron_wire',
      C: 'minecraft:iron_block'
    }
  )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('create:gearbox', 1),
    [
      'BAB',
      'ACA',
      'BAB'
    ],
    {
      A: 'create:cogwheel',
      B: 'createaddition:iron_wire',
      C: 'minecraft:iron_block'
    }
  )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('create:andesite_alloy_block', 1),
    [
      'AA ',
      'AA ',
      '   '
    ],
    {
      A: 'create:andesite_alloy'
    }
  )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('minecraft:nether_brick', 1),
    [
      'AAA',
      'BCB',
      'AAA'
    ],
    {
      A: 'create:cinder_flour',
      B: 'minecraft:cobblestone',
      C: 'mysticalagriculture:infusion_crystal'
    }
  )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('minecraft:nether_brick', 1),
    [
      'AAA',
      'BCB',
      'AAA'
    ],
    {
      A: 'create:cinder_flour',
      B: 'minecraft:cobblestone',
      C: 'mysticalagriculture:master_infusion_crystal'
    }
  )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('create:goggles', 1),
    [
      'AAA',
      'BCB',
      'DED'
    ],
    {
      A: 'minecraft:string',
      B: 'create:golden_sheet',
      C: 'createaddition:copper_wire',
      D: 'quark:blue_framed_glass_pane',
      E: 'createaddition:gold_wire'
    }
  )}
)


ServerEvents.recipes(event => {
    event.shaped(
      Item.of('create:propeller', 1),
      [
        'ABC',
        'DED',
        'CBA'
      ],
      {
        A: 'create:brass_sheet',
        B: 'create:cogwheel',
        C: 'createaddition:iron_wire',
        D: 'createaddition:iron_rod',
        E: 'create:andesite_alloy_block'
      }
    )}
)

ServerEvents.recipes(event => {
    event.shaped(
      Item.of('create:encased_fan', 1),
      [
        'ABC',
        'DED',
        'FGH'
      ],
      {
        A: 'createaddition:copper_wire',
        B: 'createaddition:electrum_rod',
        C: 'createaddition:gold_wire',
        D: 'create:andesite_alloy_block',
        E: 'create:brass_casing',
        F: 'createaddition:iron_wire',
        G: 'create:propeller',
        H: 'createaddition:electrum_wire'
      }
    )}
)

ServerEvents.recipes(event => {
    event.shaped(
      Item.of('minecraft:string', 4),
      [
        'A  ',
        '   ',
        '   '
      ],
      {
        A: '#minecraft:wool'
      }
    )}
)

ServerEvents.recipes(event => {
    event.shaped(
      Item.of('minecraft:cobweb', 1),
      [
        'AAA',
        'AAA',
        'AAA'
      ],
      {
        A: 'minecraft:string'
      }
    )}
)

ServerEvents.recipes(event => {
    event.shaped(
      Item.of('createsifter:sifter', 1),
      [
        'ABA',
        'CDC',
        'EEE'
      ],
      {
        A: 'createaddition:brass_rod',
        B: 'minecraft:cobweb',
        C: 'create:cogwheel',
        D: 'create:andesite_casing',
        E: 'create:andesite_alloy_block'
      }
    )}
)

ServerEvents.recipes(event => {
    event.shaped(
      Item.of('createsifter:brass_sifter', 1),
      [
        'ABA',
        'CDC',
        'EEE'
      ],
      {
        A: 'createaddition:electrum_wire',
        B: 'create:brass_sheet',
        C: 'create:large_cogwheel',
        D: 'createsifter:sifter',
        E: 'create:brass_block'
      }
    )}
)

ServerEvents.recipes(event => {
    event.shaped(
      Item.of('createaddition:connector', 1),
      [
        'ABA',
        'CDC',
        'EEE'
      ],
      {
        A: 'createaddition:copper_wire',
        B: 'createaddition:copper_rod',
        C: 'createaddition:electrum_wire',
        D: 'createaddition:electrum_rod',
        E: 'create:andesite_alloy'
      }
    )}
)

ServerEvents.recipes(event => {
    event.shaped(
      Item.of('createaddition:large_connector', 1),
      [
        'ABA',
        'CBC',
        'DDD'
      ],
      {
        A: 'createaddition:electrum_wire',
        B: 'minecraft:copper_block',
        C: 'createaddition:connector',
        D: 'create:andesite_alloy_block'
      }
    )}
)

ServerEvents.recipes(event => {
    event.shaped(
      Item.of('createaddition:small_light_connector', 1),
      [
        'AAA',
        'BCB',
        'DCD'
      ],
      {
        A: 'quark:framed_glass',
        B: 'createaddition:electrum_wire',
        C: 'createaddition:large_connector',
        D: 'createaddition:connector'
      }
    )}
)

ServerEvents.recipes(event => {
    event.shaped(
      Item.of('createaddition:capacitor', 1),
      [
        'AAA',
        'BCB',
        'DDD'
      ],
      {
        A: 'createaddition:zinc_sheet',
        B: 'create:copper_sheet',
        C: 'createaddition:small_light_connector',
        D: 'create:andesite_alloy'
      }
    )}
)

ServerEvents.recipes(event => {
  event.recipes.create.mixing(['create:blaze_cake_base'], ['minecraft:sniffer_egg', 'mysticalagriculture:nether_agglomeratio', 'minecraft:sugar', 'mysticalagriculture:infusion_crystal']).heated()
})

ServerEvents.recipes(event => {
  event.recipes.create.mixing(['create:blaze_cake_base'], ['minecraft:sniffer_egg', 'mysticalagriculture:nether_agglomeratio', 'minecraft:sugar', 'mysticalagriculture:master_infusion_crystal']).heated()
})

ServerEvents.recipes(event => {
    event.recipes.create.mechanical_crafting('create:crushing_wheel', [
      ' AAA ',
      'ABBBA',
      'ABCBA',
      'ABBBA',
      ' AAA '
    ], {
      A: 'create:andesite_alloy_block',
      B: 'create:brass_casing',
      C: 'create:large_water_wheel',
    })
})

ServerEvents.recipes(event => {
event.recipes.create.crushing([Item.of('mysticalagriculture:nether_agglomeratio').withChance(0.05)], 'minecraft:red_nether_bricks').processingTime(120)
})

ServerEvents.recipes(event => {
  event.recipes.create.deploying([Item.of('create:blaze_cake').withChance(0.5), Item.of('mysticalagriculture:nether_agglomeratio').withChance(0.5)], ['create:blaze_cake_base', 'rainbowcompound:blazeite_ingot'])
})

ServerEvents.recipes(event => {
  event.recipes.create.deploying(['create:ochrum'], ['minecraft:raw_gold', 'minecraft:cobblestone'])
})

ServerEvents.recipes(event => {
  event.recipes.create.haunting('minecraft:turtle_egg', 'minecraft:egg')
})

ServerEvents.recipes(event => {
  event.recipes.create.haunting('minecraft:sniffer_egg', 'minecraft:turtle_egg')
})

ServerEvents.recipes(event => {
    event.shaped(
      Item.of('createaddition:digital_adapter', 1),
      [
        'ABC',
        'BDB',
        'EBF'
      ],
      {
        A: 'createaddition:connector',
        B: 'createaddition:electrum_wire',
        C: 'createaddition:large_connector',
        D: 'create:brass_casing',
        E: 'createaddition:capacitor',
        F: 'createaddition:small_light_connector'
      }
    )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('minecraft:netherite_ingot', 2),
    [
      'AB ',
      '   ',
      '   '
    ],
    {
      A: 'minecraft:netherite_ingot',
      B: 'create:refined_radiance'
    }
  )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('minecraft:amethyst_shard', 2),
    [
      'AB ',
      '   ',
      '   '
    ],
    {
      A: 'minecraft:amethyst_shard',
      B: 'create:refined_radiance'
    }
  )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('minecraft:copper_ingot', 2),
    [
      'AB ',
      '   ',
      '   '
    ],
    {
      A: 'minecraft:copper_ingot',
      B: 'create:refined_radiance'
    }
  )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('minecraft:emerald', 2),
    [
      'AB ',
      '   ',
      '   '
    ],
    {
      A: 'minecraft:emerald',
      B: 'create:refined_radiance'
    }
  )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('minecraft:diamond', 2),
    [
      'AB ',
      '   ',
      '   '
    ],
    {
      A: 'minecraft:diamond',
      B: 'create:refined_radiance'
    }
  )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('minecraft:quartz', 2),
    [
      'AB ',
      '   ',
      '   '
    ],
    {
      A: 'minecraft:quartz',
      B: 'create:refined_radiance'
    }
  )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('minecraft:redstone', 2),
    [
      'AB ',
      '   ',
      '   '
    ],
    {
      A: 'minecraft:redstone',
      B: 'create:refined_radiance'
    }
  )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('minecraft:lapis_lazuli', 2),
    [
      'AB ',
      '   ',
      '   '
    ],
    {
      A: 'minecraft:lapis_lazuli',
      B: 'create:refined_radiance'
    }
  )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('minecraft:gold_ingot', 2),
    [
      'AB ',
      '   ',
      '   '
    ],
    {
      A: 'minecraft:gold_ingot',
      B: 'create:refined_radiance'
    }
  )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('minecraft:iron_ingot', 2),
    [
      'AB ',
      '   ',
      '   '
    ],
    {
      A: 'minecraft:iron_ingot',
      B: 'create:refined_radiance'
    }
  )}
)

ServerEvents.recipes(event => {
    event.shaped(
      Item.of('createaddition:spool', 8),
      [
        'ABA',
        'CDC',
        'ABA'
      ],
      {
        A: 'createaddition:iron_wire',
        B: 'create:iron_sheet',
        C: 'createaddition:iron_rod',
        D: 'createaddition:digital_adapter',
      }
    )}
)

ServerEvents.recipes(event => {
    event.shaped(
      Item.of('createaddition:alternator', 1),
      [
        'ABA',
        'CDE',
        'AFA'
      ],
      {
        A: 'createaddition:spool',
        B: 'createaddition:gold_wire',
        C: 'createaddition:iron_wire',
        D: 'createaddition:digital_adapter',
        E: 'createaddition:electrum_wire',
        F: 'createaddition:copper_wire'
      }
    )}
)

ServerEvents.recipes(event => {
    event.shaped(
      Item.of('createaddition:copper_spool', 1),
      [
        'ABA',
        'BCB',
        'ABA'
      ],
      {
        A: 'create:copper_sheet',
        B: 'createaddition:copper_wire',
        C: 'createaddition:spool'
      }
    )}
)

ServerEvents.recipes(event => {
    event.shaped(
      Item.of('createaddition:gold_spool', 1),
      [
        'ABA',
        'BCB',
        'ABA'
      ],
      {
        A: 'create:gold_sheet',
        B: 'createaddition:gold_wire',
        C: 'createaddition:copper_spool'
      }
    )}
)

ServerEvents.recipes(event => {
    event.shaped(
      Item.of('createaddition:electrum_spool', 1),
      [
        'ABA',
        'BCB',
        'ABA'
      ],
      {
        A: 'create:electrum_sheet',
        B: 'createaddition:electrum_wire',
        C: 'createaddition:gold_spool'
      }
    )}
)

ServerEvents.recipes(event => {
    event.shaped(
      Item.of('createaddition:electrum_spool', 1),
      [
        'ABA',
        'BCB',
        'ABA'
      ],
      {
        A: 'create:electrum_sheet',
        B: 'createaddition:electrum_wire',
        C: 'createaddition:gold_spool'
      }
    )}
)

ServerEvents.recipes(event => {
    event.shaped(
      Item.of('createaddition:festive_spool', 1),
      [
        'ABA',
        'BCB',
        'ABA'
      ],
      {
        A: 'createaddition:biomass',
        B: 'createaddition:small_light_connector',
        C: 'createaddition:copper_spool'
      }
    )}
)

ServerEvents.recipes(event => {
    event.shaped(
      Item.of('createaddition:modular_accumulator', 1),
      [
        'ABA',
        'CDE',
        'EFG'
      ],
      {
        A: 'create:copper_sheet',
        B: 'createaddition:copper_rod',
        C: 'createaddition:gold_spool',
        D: 'create:brass_block',
        E: 'createaddition:electrum_wire',
        F: 'createaddition:gold_wire',
        G: 'createaddition:copper_spool'
      }
    )}
)

ServerEvents.recipes(event => {
    event.recipes.create.mechanical_crafting('createaddition:electric_motor', [
      '  A  ',
      ' BCB ',
      'DEFED',
      ' GHG '
    ], {
      A: 'create:andesite_alloy_block',
      B: 'createaddition:gold_spool',
      C: 'create:brass_block',
      D: 'createaddition:electrum_spool',
      E: 'createaddition:copper_spool',
      F: 'createaddition:modular_accumulator',
      G: 'createaddition:capacitor',
      H: 'createaddition:alternator'
    })
  })

ServerEvents.recipes(event => {
    event.recipes.create.mechanical_crafting('createaddition:tesla_coil', [
      'AAA',
      ' B ',
      'CDC',
      'EFE',
      'GGG'
    ], {
      A: 'createaddition:copper_spool',
      B: 'create:electron_tube',
      C: 'createaddition:electrum_spool',
      D: 'createaddition:modular_accumulator',
      E: 'create:brass_block',
      F: 'createaddition:electric_motor',
      G: 'createaddition:capacitor'
    })
  })

ServerEvents.recipes(event => {
    event.shaped(
      Item.of('create:steam_whistle', 1),
      [
        'ABA',
        'CDC',
        'EEE'
      ],
      {
        A: 'createaddition:electrum_spool',
        B: 'create:electron_tube',
        C: 'createaddition:gold_spool',
        D: 'minecraft:gold_block',
        E: 'create:copper_casing'
      }
    )}
)

ServerEvents.recipes(event => {
    event.shaped(
      Item.of('create:content_observer', 1),
      [
        'ABC',
        'FDF',
        'CEA'
      ],
      {
        A: 'createaddition:electrum_wire',
        B: 'create:electron_tube',
        C: 'createaddition:electrum_spool',
        D: 'minecraft:observer',
        E: 'create:brass_casing',
        F: 'create:gearbox'
      }
    )}
)

ServerEvents.recipes(event => {
    event.shaped(
      Item.of('create:rose_quartz_lamp', 1),
      [
        'ABA',
        'CDC',
        'AEA'
      ],
      {
        A: 'createaddition:electrum_spool',
        B: 'create:electron_tube',
        C: 'minecraft:redstone_block',
        D: 'create:rose_quartz_tiles',
        E: 'createaddition:electrum_block'
      }
    )}
)

ServerEvents.recipes(event => {
    event.shaped(
      Item.of('create:fluid_tank', 1),
      [
        'ABA',
        'CDC',
        'AEA'
      ],
      {
        A: 'createaddition:copper_spool',
        B: 'create:electron_tube',
        C: 'createaddition:copper_wire',
        D: 'quark:orange_framed_glass',
        E: 'create:copper_sheet'
      }
    )}
)

ServerEvents.recipes(event => {
    event.shaped(
      Item.of('create:electron_tube', 1),
      [
        'ABA',
        'CDC',
        'FEF'
      ],
      {
        A: 'createaddition:copper_wire',
        B: 'create:framed_glass',
        C: 'createaddition:gold_wire',
        D: 'create:rose_quartz_tiles',
        E: 'create:iron_sheet',
        F: 'minecraft:iron_block'
      }
    )}
)

ServerEvents.recipes(event => {
    event.recipes.create.mechanical_crafting('create:steam_engine', [
      ' AAA ',
      ' AAA ',
      '  B  ',
      ' CCC ',
      ' DED ',
      'FDEDF'
    ], {
      A: 'create:rose_quartz_lamp',
      B: 'create:content_observer',
      C: 'create:steam_whistle',
      D: 'create:fluid_tank',
      E: 'create:blaze_burner',
      F: 'create:electron_tube'
    })
  })

ServerEvents.recipes(event => {
    event.shaped(
      Item.of('create:mechanical_arm', 1),
      [
        'ABA',
        'CDC',
        'FEF'
      ],
      {
        A: 'createaddition:electrum_spool',
        B: 'create:andesite_alloy_block',
        C: 'createaddition:electrum_sheet',
        D: 'createaddition:electrum_rod',
        E: 'create:brass_casing',
        F: 'create:precision_mechanism'
      }
    )}
)

ServerEvents.recipes(event => {
    event.shaped(
      Item.of('create:super_glue', 1),
      [
        'ABC',
        'DED',
        'CDA'
      ],
      {
        A: 'createaddition:gold_wire',
        B: 'createaddition:electrum_amulet',
        C: 'createaddition:iron_wire',
        E: 'mysticalagriculture:inferium_block',
        D: 'minecraft:slime_block'
      }
    )}
)

ServerEvents.recipes(event => {
event.recipes.create.mixing('create:sturdy_sheet', ['create:iron_sheet', 'create:iron_sheet']).superheated()
})

ServerEvents.recipes(event => {
  event.recipes.create.deploying([Item.of('create:track_station')], ['minecraft:recovery_compass', 'create:railway_casing'])
})

ServerEvents.recipes(event => {
  event.recipes.create.deploying([Item.of('create:track_signal')], ['createaddition:electric_motor', 'create:railway_casing'])
})

ServerEvents.recipes(event => {
  event.recipes.create.deploying([Item.of('create:track_observer')], ['create:content_observer', 'create:railway_casing'])
})

ServerEvents.recipes(event => {
  event.recipes.create.deploying([Item.of('create:track')], ['minecraft:smooth_stone_slab', 'create:railway_casing'])
})

ServerEvents.recipes(event => {
    event.recipes.create.mechanical_crafting('create:controls', [
      ' AAA ',
      'ABCBA',
      'ADBEA',
      'ABFBA',
      ' AAA '
    ], {
      A: 'create:sturdy_sheet',
      C: 'create:track_signal',
      D: 'create:track_station',
      E: 'create:track_observer',
      F: 'create:track',
      B: 'create:railway_casing'
    })
  })

ServerEvents.recipes(event => {
    event.shaped(
      Item.of('create:package_frogport', 1),
      [
        'ABA',
        'CDC',
        'AEA'
      ],
      {
        A: 'create:sturdy_sheet',
        B: 'create:item_vault',
        C: 'minecraft:slime_block',
        D: 'create:controls',
        E: 'create:andesite_alloy_block'
  
      }
    )}
)

ServerEvents.recipes(event => {
    event.shaped(
      Item.of('create:item_vault', 1),
      [
        'ABA',
        'BCB',
        'ABA'
      ],
      {
        A: 'create:sturdy_sheet',
        B: 'ironchest:obsidian_chest',
        C: 'create:controls'
  
      }
    )}
)

ServerEvents.recipes(event => {
    event.shaped(
      Item.of('create:schematic_table', 1),
      [
        'ABA',
        'CDC',
        'ABA'
      ],
      {
        A: 'create:sturdy_sheet',
        B: 'minecraft:bamboo_mosaic_slab',
        C: 'minecraft:smooth_stone_slab',
        D: 'create:controls'
  
      }
    )}
)

ServerEvents.recipes(event => {
    event.shaped(
      Item.of('create:item_hatch', 1),
      [
        'ABA',
        'CDC',
        'CEC'
      ],
      {
        A: 'minecraft:iron_trapdoor',
        B: 'minecraft:bamboo_trapdoor',
        C: 'createaddition:iron_wire',
        D: 'create:item_vault',
        E: 'create:andesite_alloy_block'
  
      }
    )}
)

ServerEvents.recipes(event => {
    event.shaped(
      Item.of('create:transmitter', 1),
      [
        ' A ',
        'BCB',
        ' D '
      ],
      {
        A: 'createaddition:copper_spool',
        B: 'create:copper_sheet',
        C: 'create:package_frogport',
        D: 'minecraft:redstone_block'
  
      }
    )}
)

ServerEvents.recipes(event => {
    event.shaped(
      Item.of('create:packager', 1),
      [
        'ABA',
        'CDC',
        'AEA'
      ],
      {
        A: 'create:iron_sheet',
        B: 'create:bound_cardboard_block',
        C: 'createaddition:iron_rod',
        D: 'create:package_frogport',
        E: 'create:transmitter'
  
      }
    )}
)

ServerEvents.recipes(event => {
    event.recipes.create.mechanical_crafting('create:schematicannon', [
      ' ABA ',
      'ACDEA',
      'BFGHB',
      'AIDJA',
      ' ABA '
    ], {
      A: 'create:railway_casing',
      B: 'create:controls',
      C: 'create:schematic_table',
      D: 'create:package_frogport',
      E: 'create:packager',
      F: 'create:stock_ticker',
      G: 'minecraft:dispenser',
      H: 'create:repackager',
      I: 'create:item_hatch',
      J: 'create:stock_link'
      
    })
  })

ServerEvents.recipes(event => {
    event.shaped(
      Item.of('create:chromatic_compound', 2),
      [
        'ABA',
        'CDC',
        'ABA'
      ],
      {
        A: 'create:andesite_alloy_block',
        B: 'createaddition:electrum_block',
        C: 'create:brass_block',
        D: 'create:chromatic_compound'
  
      }
    )}
)

ServerEvents.recipes(event => {
    event.shaped(
      Item.of('create:chromatic_compound', 3),
      [
        'AB ',
        '   ',
        '   '
      ],
      {
A: 'create:chromatic_compound',
B: 'create:refined_radiance'

      }
    )}
)

ServerEvents.recipes(event => {
    event.recipes.create.mechanical_crafting('create:chromatic_compound', [
      'ABCDEF',
      'GHIJKL',
      'MNOPQR',
      'STUVWX',
      'YZabcd',
      'efghij'
    ], {
      A: 'create:super_glue',
      B: 'createaddition:iron_rod',
      C: 'createaddition:copper_rod',
      D: 'createaddition:gold_rod',
      E: 'createaddition:festive_spool',
      F: 'create:train_door',
      G: 'create:copper_sheet',
      H: 'rainbowcompound:overcharged_alloy',
      I: 'create:blaze_burner',
      J: 'create:steam_engine',
      K: 'create:fluid_tank',
      L: 'createaddition:electrum_rod',
      M: 'create:iron_sheet',
      N: 'create:electron_tube',
      O: 'create:brass_ingot',
      P: 'createaddition:electrum_ingot',
      Q: 'rainbowcompound:strange_colored_ingot',
      R: 'createaddition:brass_rod',
      S: 'create:golden_sheet',
      T: 'create:blaze_cake',
      U: 'create:andesite_alloy',
      V: 'create:zinc_ingot',
      W: 'create:precision_mechanism',
      X: 'createaddition:copper_wire',
      Y: 'createaddition:electrum_spool',
      Z: 'create:railway_casing',
      a: 'create:track_station',
      b: 'create:track',
      c: 'create:white_seat',
      d: 'createaddition:iron_wire',
      e: 'create:schedule',
      f: 'createaddition:gold_spool',
      g: 'createaddition:copper_spool',
      h: 'createaddition:electrum_wire',
      i: 'createaddition:gold_wire',
      j: 'create:controls'

    })
  })

ServerEvents.recipes(event => {
    event.recipes.create.mechanical_crafting('mysticalagriculture:master_infusion_crystal', [
      'ABA',
      'CDE',
      'AFA'
    ], {
      A: 'rainbowcompound:netherstar_ingot',
      B: 'create:creative_fluid_tank',
      C: 'createaddition:creative_energy',
      D: 'mysticalagriculture:infusion_crystal',
      E: 'create:creative_blaze_cake',
      F: 'create:creative_crate'
      
    })
  })

ServerEvents.recipes(event => {
    event.recipes.create.mechanical_crafting('create:creative_fluid_tank', [
      'AAAAAAA',
      'ABBCDDA',
      'AEEEEEA',
      'AEFFFEA',
      'AEFGFEA',
      'AEFFFEA',
      'AEEEEEA',
      'AHHCIIA',
      'AAAAAAA',
    ], {
      A: 'create:fluid_tank',
      B: 'create:electron_tube',
      C: 'create:blaze_burner',
      D: 'create:rose_quartz_lamp',
      E: 'create:steam_engine',
      F: 'create:refined_radiance',
      G: 'rainbowcompound:netherstar_ingot',
      H: 'create:content_observer',
      I: 'create:steam_whistle'
      
    })
  })

ServerEvents.recipes(event => {
    event.recipes.create.mechanical_crafting('create:creative_blaze_cake', [
      '  AABAA  ',
      ' ACCBDDA ',
      'ACCEEEDDA',
      'BBBEFEBBB',
      'AGGEEEHHA',
      ' AGGBHHA ',
      '  AABAA  '
    ], {
      A: 'create:crushing_wheel',
      B: 'create:blaze_cake',
      C: 'create:blaze_cake_base',
      D: 'create:cinder_flour',
      E: 'create:refined_radiance',
      F: 'rainbowcompound:netherstar_ingot',
      G: 'rainbowcompound:blazeite_ingot',
      H: 'mysticalagriculture:nether_agglomeratio'
      
    })
  })

ServerEvents.recipes(event => {
    event.recipes.create.mechanical_crafting('create:creative_crate', [
      ' AAAAAAA ',
      'BCDEFGHIB',
      'BJKLLLMNB',
      'BOPLQLROB',
      'BOOLLLOOB',
      'BOOOOOOOB'
    ], {
      A: 'create:sturdy_sheet',
      B: 'create:railway_casing',
      C: 'create:packager',
      D: 'create:transmitter',
      E: 'create:schematicannon',
      F: 'create:item_hatch',
      G: 'create:controls',
      H: 'create:item_vault',
      I: 'create:schematic_table',
      J: 'create:track_station',
      K: 'create:track_signal',
      L: 'create:refined_radiance',
      M: 'create:stock_ticker',
      N: 'create:stock_link',
      O: 'create:track',
      P: 'create:track_observer',
      Q: 'rainbowcompound:netherstar_ingot',
      R: 'create:package_frogport'
      
    })
  })

ServerEvents.recipes(event => {
    event.recipes.create.mechanical_crafting('createaddition:creative_energy', [
      '  AABCC  ',
      ' ADEBFDC ',
      'ADGEBFGDC',
      'AHHIIIJJC',
      'BBBIKIBBB',
      'LMMIIINNO',
      'LMMGPGNNO',
      ' LLLPOOO '
    ], {
      A: 'createaddition:gold_spool',
      B: 'createaddition:digital_adapter',
      C: 'createaddition:electrum_spool',
      D: 'createaddition:connector',
      E: 'createaddition:modular_accumulator',
      F: 'createaddition:electric_motor',
      G: 'createaddition:capacitor',
      H: 'createaddition:tesla_coil',
      I: 'create:refined_radiance',
      J: 'createaddition:alternator',
      K: 'rainbowcompound:netherstar_ingot',
      L: 'createaddition:copper_spool',
      M: 'createaddition:small_light_connector',
      N: 'createaddition:large_connector',
      O: 'createaddition:festive_spool',
      P: 'rainbowcompound:overcharged_alloy'
      
    })
  })

ServerEvents.recipes(event => {
    event.recipes.create.mechanical_crafting('create:creative_motor', [
      'AAAAAAAAA',
      'ABBBBBBBA',
      'ABCCDEEBA',
      'ABCFDFEBA',
      'ABGGHIIBA',
      'ABJFKFLBA',
      'ABJJKLLBA',
      'ABBBBBBBA',
      'AAAAAAAAA'
    ], {
      A: 'rainbowcompound:netherstar_ingot',
      B: 'rainbowcompound:rainbow_compound',
      C: 'create:hand_crank',
      D: 'createaddition:creative_energy',
      E: 'create:white_sail',
      F: 'create:mechanical_arm',
      G: 'create:creative_fluid_tank',
      H: 'mysticalagriculture:master_infusion_crystal',
      I: 'create:creative_blaze_cake',
      J: 'create:steam_engine',
      K: 'create:creative_crate',
      L: 'create:large_water_wheel'
      
    })
  })


ServerEvents.recipes(event => {
    event.shaped(
      Item.of('minecraft:soul_sand', 2),
      [
        'ABA',
        'BCB',
        'ABA'
      ],
      {
A: 'minecraft:stone',
B: 'minecraft:netherrack',
C: 'minecraft:nether_wart'

      }
    )}
)

ServerEvents.recipes(event => {
event.blasting('minecraft:glass', 'minecraft:soul_sand')
})

ServerEvents.recipes(event => {
    event.shaped(
      Item.of('minecraft:zombie_villager_spawn_egg', ),
      [
        'ABA',
        'BCB',
        'ABA'
      ],
      {
A: 'minecraft:zombie_spawn_egg',
B: 'minecraft:enchanted_golden_apple',
C: 'minecraft:echo_shard'

      }
    )}
)